<?php
/* Autor...:  */
/* Esquema.: TR_RutaDetalle.xml */
/* Generado: 2020-08-18 04:21:31 */

/* Metodos de acceso a los campos de la tabla TR_RutaDetalle */
abstract class BaseTR_RutaDetalleBN
{
    /* Campos de la tabla */
    private $i_IdRuta;    // IdRuta: ( no definido )
    private $i_IdRutaLinea;    // IdRutaLinea: ( no definido )
    private $i_RutaSecuencia;    // RutaSecuencia: ( no definido )
    private $s_RutaDocDespacho;    // RutaDocDespacho: ( no definido )
    private $s_DocumentRefId;    // DocumentRefId: ( no definido )
    private $s_RutaDetDir1;    // RutaDetDir1: ( no definido )
    private $s_RutaDetDir2;    // RutaDetDir2: ( no definido )
    private $s_RutaDetCiudad;    // RutaDetCiudad: ( no definido )
    private $s_RutaDetDpto;    // RutaDetDpto: ( no definido )
    private $s_RutaDetPais;    // RutaDetPais: ( no definido )
    private $s_IdUbigeo;    // IdUbigeo: ( no definido )
    private $s_RutaDetEstado;    // RutaDetEstado: ( no definido )
    private $d_RutaHoraPartida;    // RutaHoraPartida: ( no definido )
    private $d_RutaHoraLlegada;    // RutaHoraLlegada: ( no definido )
    private $d_RutaHoraIniEntrega;    // RutaHoraIniEntrega: ( no definido )
    private $d_RutaHoraFinEntrega;    // RutaHoraFinEntrega: ( no definido )
    private $d_RutaHoraRegAtencion;    // RutaHoraRegAtencion: ( no definido )
    private $u_RutaDetComentario;    // RutaDetComentario: ( no definido )
    private $s_TipoDocRef;    // TipoDocRef: ( no definido )
    private $s_SerieDocumentoRef;    // SerieDocumentoRef: ( no definido )
    private $s_NumeroDocumentoRef;    // NumeroDocumentoRef: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdRuta */
    public function setIdRuta( $i_IdRuta )
    {
        $this->i_IdRuta = $i_IdRuta;
    }

    /* Obtiene el valor del campo IdRuta */
    public function getIdRuta()
    {
        return $this->i_IdRuta;
    }

    /* Establece el valor del campo IdRutaLinea */
    public function setIdRutaLinea( $i_IdRutaLinea )
    {
        $this->i_IdRutaLinea = $i_IdRutaLinea;
    }

    /* Obtiene el valor del campo IdRutaLinea */
    public function getIdRutaLinea()
    {
        return $this->i_IdRutaLinea;
    }

    /* Establece el valor del campo RutaSecuencia */
    public function setRutaSecuencia( $i_RutaSecuencia )
    {
        $this->i_RutaSecuencia = $i_RutaSecuencia;
    }

    /* Obtiene el valor del campo RutaSecuencia */
    public function getRutaSecuencia()
    {
        return $this->i_RutaSecuencia;
    }

    /* Establece el valor del campo RutaDocDespacho */
    public function setRutaDocDespacho( $s_RutaDocDespacho )
    {
        $this->s_RutaDocDespacho = $s_RutaDocDespacho;
    }

    /* Obtiene el valor del campo RutaDocDespacho */
    public function getRutaDocDespacho()
    {
        return $this->s_RutaDocDespacho;
    }

    /* Establece el valor del campo DocumentRefId */
    public function setDocumentRefId( $s_DocumentRefId )
    {
        $this->s_DocumentRefId = $s_DocumentRefId;
    }

    /* Obtiene el valor del campo DocumentRefId */
    public function getDocumentRefId()
    {
        return $this->s_DocumentRefId;
    }

    /* Establece el valor del campo RutaDetDir1 */
    public function setRutaDetDir1( $s_RutaDetDir1 )
    {
        $this->s_RutaDetDir1 = $s_RutaDetDir1;
    }

    /* Obtiene el valor del campo RutaDetDir1 */
    public function getRutaDetDir1()
    {
        return $this->s_RutaDetDir1;
    }

    /* Establece el valor del campo RutaDetDir2 */
    public function setRutaDetDir2( $s_RutaDetDir2 )
    {
        $this->s_RutaDetDir2 = $s_RutaDetDir2;
    }

    /* Obtiene el valor del campo RutaDetDir2 */
    public function getRutaDetDir2()
    {
        return $this->s_RutaDetDir2;
    }

    /* Establece el valor del campo RutaDetCiudad */
    public function setRutaDetCiudad( $s_RutaDetCiudad )
    {
        $this->s_RutaDetCiudad = $s_RutaDetCiudad;
    }

    /* Obtiene el valor del campo RutaDetCiudad */
    public function getRutaDetCiudad()
    {
        return $this->s_RutaDetCiudad;
    }

    /* Establece el valor del campo RutaDetDpto */
    public function setRutaDetDpto( $s_RutaDetDpto )
    {
        $this->s_RutaDetDpto = $s_RutaDetDpto;
    }

    /* Obtiene el valor del campo RutaDetDpto */
    public function getRutaDetDpto()
    {
        return $this->s_RutaDetDpto;
    }

    /* Establece el valor del campo RutaDetPais */
    public function setRutaDetPais( $s_RutaDetPais )
    {
        $this->s_RutaDetPais = $s_RutaDetPais;
    }

    /* Obtiene el valor del campo RutaDetPais */
    public function getRutaDetPais()
    {
        return $this->s_RutaDetPais;
    }

    /* Establece el valor del campo IdUbigeo */
    public function setIdUbigeo( $s_IdUbigeo )
    {
        $this->s_IdUbigeo = $s_IdUbigeo;
    }

    /* Obtiene el valor del campo IdUbigeo */
    public function getIdUbigeo()
    {
        return $this->s_IdUbigeo;
    }

    /* Establece el valor del campo RutaDetEstado */
    public function setRutaDetEstado( $s_RutaDetEstado )
    {
        $this->s_RutaDetEstado = $s_RutaDetEstado;
    }

    /* Obtiene el valor del campo RutaDetEstado */
    public function getRutaDetEstado()
    {
        return $this->s_RutaDetEstado;
    }

    /* Establece el valor del campo RutaHoraPartida */
    public function setRutaHoraPartida( $d_RutaHoraPartida )
    {
        $this->d_RutaHoraPartida = $d_RutaHoraPartida;
    }

    /* Obtiene el valor del campo RutaHoraPartida */
    public function getRutaHoraPartida()
    {
        return $this->d_RutaHoraPartida;
    }

    /* Establece el valor del campo RutaHoraLlegada */
    public function setRutaHoraLlegada( $d_RutaHoraLlegada )
    {
        $this->d_RutaHoraLlegada = $d_RutaHoraLlegada;
    }

    /* Obtiene el valor del campo RutaHoraLlegada */
    public function getRutaHoraLlegada()
    {
        return $this->d_RutaHoraLlegada;
    }

    /* Establece el valor del campo RutaHoraIniEntrega */
    public function setRutaHoraIniEntrega( $d_RutaHoraIniEntrega )
    {
        $this->d_RutaHoraIniEntrega = $d_RutaHoraIniEntrega;
    }

    /* Obtiene el valor del campo RutaHoraIniEntrega */
    public function getRutaHoraIniEntrega()
    {
        return $this->d_RutaHoraIniEntrega;
    }

    /* Establece el valor del campo RutaHoraFinEntrega */
    public function setRutaHoraFinEntrega( $d_RutaHoraFinEntrega )
    {
        $this->d_RutaHoraFinEntrega = $d_RutaHoraFinEntrega;
    }

    /* Obtiene el valor del campo RutaHoraFinEntrega */
    public function getRutaHoraFinEntrega()
    {
        return $this->d_RutaHoraFinEntrega;
    }

    /* Establece el valor del campo RutaHoraRegAtencion */
    public function setRutaHoraRegAtencion( $d_RutaHoraRegAtencion )
    {
        $this->d_RutaHoraRegAtencion = $d_RutaHoraRegAtencion;
    }

    /* Obtiene el valor del campo RutaHoraRegAtencion */
    public function getRutaHoraRegAtencion()
    {
        return $this->d_RutaHoraRegAtencion;
    }

    /* Establece el valor del campo RutaDetComentario */
    public function setRutaDetComentario( $u_RutaDetComentario )
    {
        $this->u_RutaDetComentario = $u_RutaDetComentario;
    }

    /* Obtiene el valor del campo RutaDetComentario */
    public function getRutaDetComentario()
    {
        return $this->u_RutaDetComentario;
    }

    /* Establece el valor del campo TipoDocRef */
    public function setTipoDocRef( $s_TipoDocRef )
    {
        $this->s_TipoDocRef = $s_TipoDocRef;
    }

    /* Obtiene el valor del campo TipoDocRef */
    public function getTipoDocRef()
    {
        return $this->s_TipoDocRef;
    }

    /* Establece el valor del campo SerieDocumentoRef */
    public function setSerieDocumentoRef( $s_SerieDocumentoRef )
    {
        $this->s_SerieDocumentoRef = $s_SerieDocumentoRef;
    }

    /* Obtiene el valor del campo SerieDocumentoRef */
    public function getSerieDocumentoRef()
    {
        return $this->s_SerieDocumentoRef;
    }

    /* Establece el valor del campo NumeroDocumentoRef */
    public function setNumeroDocumentoRef( $s_NumeroDocumentoRef )
    {
        $this->s_NumeroDocumentoRef = $s_NumeroDocumentoRef;
    }

    /* Obtiene el valor del campo NumeroDocumentoRef */
    public function getNumeroDocumentoRef()
    {
        return $this->s_NumeroDocumentoRef;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdRuta' => $this->getIdRuta(),
            'IdRutaLinea' => $this->getIdRutaLinea(),
            'RutaSecuencia' => $this->getRutaSecuencia(),
            'RutaDocDespacho' => $this->getRutaDocDespacho(),
            'DocumentRefId' => $this->getDocumentRefId(),
            'RutaDetDir1' => $this->getRutaDetDir1(),
            'RutaDetDir2' => $this->getRutaDetDir2(),
            'RutaDetCiudad' => $this->getRutaDetCiudad(),
            'RutaDetDpto' => $this->getRutaDetDpto(),
            'RutaDetPais' => $this->getRutaDetPais(),
            'IdUbigeo' => $this->getIdUbigeo(),
            'RutaDetEstado' => $this->getRutaDetEstado(),
            'RutaHoraPartida' => $this->getRutaHoraPartida(),
            'RutaHoraLlegada' => $this->getRutaHoraLlegada(),
            'RutaHoraIniEntrega' => $this->getRutaHoraIniEntrega(),
            'RutaHoraFinEntrega' => $this->getRutaHoraFinEntrega(),
            'RutaHoraRegAtencion' => $this->getRutaHoraRegAtencion(),
            'RutaDetComentario' => $this->getRutaDetComentario(),
            'TipoDocRef' => $this->getTipoDocRef(),
            'SerieDocumentoRef' => $this->getSerieDocumentoRef(),
            'NumeroDocumentoRef' => $this->getNumeroDocumentoRef(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto TR_RutaDetalleBN desde un RecordSet */
    public static function retrieveByRs( $o_TR_RutaDetalleRs )
    {
        $o_TR_RutaDetalleBN = new TR_RutaDetalleBN();
        $o_TR_RutaDetalleBN->setIdRuta( ( integer ) $o_TR_RutaDetalleRs[ "IdRuta" ] );
        $o_TR_RutaDetalleBN->setIdRutaLinea( ( integer ) $o_TR_RutaDetalleRs[ "IdRutaLinea" ] );
        $o_TR_RutaDetalleBN->setRutaSecuencia( ( integer ) $o_TR_RutaDetalleRs[ "RutaSecuencia" ] );
        $o_TR_RutaDetalleBN->setRutaDocDespacho( $o_TR_RutaDetalleRs[ "RutaDocDespacho" ] );
        $o_TR_RutaDetalleBN->setDocumentRefId( $o_TR_RutaDetalleRs[ "DocumentRefId" ] );
        $o_TR_RutaDetalleBN->setRutaDetDir1( $o_TR_RutaDetalleRs[ "RutaDetDir1" ] );
        $o_TR_RutaDetalleBN->setRutaDetDir2( $o_TR_RutaDetalleRs[ "RutaDetDir2" ] );
        $o_TR_RutaDetalleBN->setRutaDetCiudad( $o_TR_RutaDetalleRs[ "RutaDetCiudad" ] );
        $o_TR_RutaDetalleBN->setRutaDetDpto( $o_TR_RutaDetalleRs[ "RutaDetDpto" ] );
        $o_TR_RutaDetalleBN->setRutaDetPais( $o_TR_RutaDetalleRs[ "RutaDetPais" ] );
        $o_TR_RutaDetalleBN->setIdUbigeo( $o_TR_RutaDetalleRs[ "IdUbigeo" ] );
        $o_TR_RutaDetalleBN->setRutaDetEstado( $o_TR_RutaDetalleRs[ "RutaDetEstado" ] );
        $o_TR_RutaDetalleBN->setRutaHoraPartida( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "RutaHoraPartida" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setRutaHoraLlegada( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "RutaHoraLlegada" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setRutaHoraIniEntrega( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "RutaHoraIniEntrega" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setRutaHoraFinEntrega( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "RutaHoraFinEntrega" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setRutaHoraRegAtencion( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "RutaHoraRegAtencion" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setRutaDetComentario( $o_TR_RutaDetalleRs[ "RutaDetComentario" ] );
        $o_TR_RutaDetalleBN->setTipoDocRef( $o_TR_RutaDetalleRs[ "TipoDocRef" ] );
        $o_TR_RutaDetalleBN->setSerieDocumentoRef( $o_TR_RutaDetalleRs[ "SerieDocumentoRef" ] );
        $o_TR_RutaDetalleBN->setNumeroDocumentoRef( $o_TR_RutaDetalleRs[ "NumeroDocumentoRef" ] );
        $o_TR_RutaDetalleBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setUsuarioCreacion( $o_TR_RutaDetalleRs[ "UsuarioCreacion" ] );
        $o_TR_RutaDetalleBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_TR_RutaDetalleRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_TR_RutaDetalleBN->setUsuarioModificacion( $o_TR_RutaDetalleRs[ "UsuarioModificacion" ] );
        return $o_TR_RutaDetalleBN;
    }
}
?>